#pragma once
#include "types.h"

void lm_ctx_init(lm_ctx_t *ctx);
void lm_ctx_free(lm_ctx_t *ctx);

lm_pool_t *lm_ctx_pools_add(lm_ctx_t *ctx, char *name, char *url);
bool       lm_ctx_pools_del(lm_ctx_t *ctx, char *name);
void       lm_ctx_pools_clear(lm_ctx_t *ctx);
void       lm_ctx_pools_test(lm_ctx_t *ctx);
bool       lm_ctx_pools_serve(lm_ctx_t *ctx, char *addr);
